Subject: Re: bug#28872: [PATCH v4] Fix NS frame resizing issues (bug#40200, bug#28872)

From: HaiJun Zhang <[email-masked]>
Date: Sat, 18 Apr 2020 22:12:27 +0800

I can reproduce it with the following lines in ~/.emacs:

(setq inhibit-startup-message t
   inhibit-startup-buffer-menu t)

(setq default-frame-alist ‘(
       (width . 85)
       (height . 35)
       (vertical-scroll-bars . nil)
       (horizontal-scroll-bars . nil)
       ))

(set-frame-font “Monospace 16”)

在 2020年4月18日 +0800 PM8:07，Alan Third <[email-masked]>，写道：
> On Sat, Apr 18, 2020 at 09:52:47AM +0800, HaiJun Zhang wrote:
> > There is problem here. After emacs startups, there is no mini buffer
> > window and there is a blank rectangle at the right edge of the
> > frame.
> >
> > It is with my profile and it can’t be reproduced with emacs -Q.
> >
> > No problem before the commit.
>
> Can you try working out what part of your configuration is causing
> this?
>
> Probably there’s a place in the code where I need to either force
> Emacs to update the frame size, which is unlikely, or Emacs updates
> the frame size and I need to force macOS to do the actual resize.
>
> --
> Alan Third